[SOLVED] Emerging VNC fails

A place to ask all newbie questions and not get flamed, though you will get beaten down if you post a newbieish question outside of these walls.
Post Reply
doragasu
Linux User
Posts: 14
Joined: Sat Apr 08, 2006 9:10 am

[SOLVED] Emerging VNC fails

Post by doragasu » Sat Oct 28, 2006 1:54 pm

I'm using Gentoox Pro and I want to have vncserver, so I'm trying to emerge it without success. Here you can see what happens every time I try to emerge it:

Code: Select all

Pro ~ # USE="server" emerge vnc
Calculating dependencies... done!

>>> Emerging (1 of 1) net-misc/vnc-4.1.2 to /
 * vnc-4.1.2-patches-1.tar.bz2 MD5 ;-) ...                                [ ok ]
 * vnc-4.1.2-patches-1.tar.bz2 RMD160 ;-) ...                             [ ok ]
 * vnc-4.1.2-patches-1.tar.bz2 SHA1 ;-) ...                               [ ok ]
 * vnc-4.1.2-patches-1.tar.bz2 SHA256 ;-) ...                             [ ok ]
 * vnc-4.1.2-patches-1.tar.bz2 size ;-) ...                               [ ok ]
 * xorg-server-1.1.1.tar.bz2 MD5 ;-) ...                                  [ ok ]
 * xorg-server-1.1.1.tar.bz2 RMD160 ;-) ...                               [ ok ]
 * xorg-server-1.1.1.tar.bz2 SHA1 ;-) ...                                 [ ok ]
 * xorg-server-1.1.1.tar.bz2 SHA256 ;-) ...                               [ ok ]
 * xorg-server-1.1.1.tar.bz2 size ;-) ...                                 [ ok ]
 * vnc-4_1_2-unixsrc.tar.gz MD5 ;-) ...                                   [ ok ]
 * vnc-4_1_2-unixsrc.tar.gz RMD160 ;-) ...                                [ ok ]
 * vnc-4_1_2-unixsrc.tar.gz SHA1 ;-) ...                                  [ ok ]
 * vnc-4_1_2-unixsrc.tar.gz SHA256 ;-) ...                                [ ok ]
 * vnc-4_1_2-unixsrc.tar.gz size ;-) ...                                  [ ok ]
 * checking ebuild checksums ;-) ...                                      [ ok ]
 * checking auxfile checksums ;-) ...                                     [ ok ]
 * checking miscfile checksums ;-) ...                                    [ ok ]
 * checking vnc-4_1_2-unixsrc.tar.gz ;-) ...                              [ ok ]
 * checking vnc-4.1.2-patches-1.tar.bz2 ;-) ...                           [ ok ]
 * checking xorg-server-1.1.1.tar.bz2 ;-) ...                             [ ok ]
>>> Unpacking source...
>>> Unpacking vnc-4_1_2-unixsrc.tar.gz to /var/tmp/portage/vnc-4.1.2/work
>>> Unpacking vnc-4.1.2-patches-1.tar.bz2 to /var/tmp/portage/vnc-4.1.2/work
>>> Unpacking xorg-server-1.1.1.tar.bz2 to /var/tmp/portage/vnc-4.1.2/work
 * Applying various patches (bugfixes/updates) ...
 *   01_all_vnc-viewer-reparent.patch ...                                 [ ok ]
 *   03_all_vnc-newfbsize.patch ...                                       [ ok ]
 *   05_all_vnc-cookie.patch ...                                          [ ok ]
 *   07_all_vnc-gcc4.patch ...                                            [ ok ]
 *   09_all_vnc-use-fb.patch ...                                          [ ok ]
 *   11_all_vnc-xclients.patch ...                                        [ ok ]
 *   13_all_vnc-idle.patch ...                                            [ ok ]
 *   15_all_vnc-via.patch ...                                             [ ok ]
 *   17_all_vnc-build.patch ...                                           [ ok ]
 *   19_all_vnc-fPIC.patch ...                                            [ ok ]
 *   21_all_vnc-restart.patch ...                                         [ ok ]
 *   23_all_vnc-vncpasswd.patch ...                                       [ ok ]
 *   25_all_vnc-def.patch ...                                             [ ok ]
 *   29_all_vnc-nohttpd.patch ...                                         [ ok ]
 *   31_all_vnc-server-modular-xorg.patch ...                             [ ok ]
 *   33_all_vnc-server-fontpath.patch ...                                 [ ok ]
 *   35_all_vnc-server-s390.patch ...                                     [ ok ]
 *   41_all_vnc-64bit.patch ...                                           [ ok ]
 *   43_all_vnc-select.patch ...                                          [ ok ]
 *   45_all_vnc-opengl.patch ...                                          [ ok ]
 * Done with patching
 * Running eautoreconf in '/var/tmp/portage/vnc-4.1.2/work/vnc-4_1_2-unixsrc/unix' ...
 * Requested autoconf 2.5
 * Using autoconf (GNU Autoconf) 2.59
 * Using autoheader (GNU Autoconf) 2.59
 * Requested automake 1.9
 * Using automake (GNU automake) 1.9.6
 * Using aclocal (GNU automake) 1.9.6
 * Running aclocal ...                                                    [ ok ]
 * Running autoconf ...                                                   [ ok ]
 * Running elibtoolize in: vnc-4_1_2-unixsrc/unix/xorg-server-1.1.1
 *   Applying portage-1.5.10.patch ...
 *   Applying max_cmd_len-1.5.20.patch ...
 *   Applying sed-1.5.6.patch ...
 * Running eautoreconf in '/var/tmp/portage/vnc-4.1.2/work/vnc-4_1_2-unixsrc/common' ...
 * Running aclocal ...                                                    [ ok ]
 * Running autoconf ...                                                   [ ok ]
/usr/portage/net-misc/vnc/vnc-4.1.2.ebuild: line 103: cd: xorg-server-*: No such file or directory
 * Running eautoreconf in '/var/tmp/portage/vnc-4.1.2/work/vnc-4_1_2-unixsrc' ...
 * Running aclocal ...                                                    [ !! ]

 * Failed Running aclocal !
 *
 * Include in your bugreport the contents of:
 *
 *   /var/tmp/portage/vnc-4.1.2/temp/aclocal-13402.out


!!! ERROR: net-misc/vnc-4.1.2 failed.
Call stack:
  ebuild.sh, line 1546:   Called dyn_unpack
  ebuild.sh, line 708:   Called src_unpack
  vnc-4.1.2.ebuild, line 104:   Called eautoreconf
  autotools.eclass, line 83:   Called eaclocal
  autotools.eclass, line 121:   Called autotools_run_tool 'aclocal'
  autotools.eclass, line 240:   Called die

!!! Failed Running aclocal !
!!! If you need support, post the topmost build error, and the call stack if relevant.

Pro ~ #
aclocal-13402.out has these lines:

Code: Select all

***** aclocal *****

aclocal-1.9: `configure.ac' or `configure.in' is required
How can I fix this error?
Last edited by doragasu on Sat Oct 28, 2006 5:51 pm, edited 1 time in total.

orochi
Gentoox Guru!
Posts: 606
Joined: Sun Oct 24, 2004 8:11 am

Post by orochi » Sat Oct 28, 2006 2:52 pm

most likely by running magic, emerge --sync, and emerge -av world, something along those lines.

But before you go to the trouble, did you emerge X? if not, why install VNC, you dont have a window system to use remotely

doragasu
Linux User
Posts: 14
Joined: Sat Apr 08, 2006 9:10 am

Post by doragasu » Sat Oct 28, 2006 3:30 pm

I haven't emerged X, but I think it was emerged triggered by vnc dependencies.

I already tried with "emerge --sync". I'll try with "emerge -av world" to see what happens.

Thanks for help.

doragasu
Linux User
Posts: 14
Joined: Sat Apr 08, 2006 9:10 am

Post by doragasu » Sat Oct 28, 2006 5:50 pm

I also asked in Gentoo forums and somebody gave me the solution. There was an error in the ebuild. Have a look here for more info.

orochi
Gentoox Guru!
Posts: 606
Joined: Sun Oct 24, 2004 8:11 am

Post by orochi » Sun Oct 29, 2006 4:29 am

/shrug who knew, good job

Post Reply

Who is online

Users browsing this forum: No registered users and 7 guests